opencv 2.2.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Types | Public Member Functions | Protected Attributes | List of all members
cv::WImageViewC< T, C > Class Template Reference

`#include <wimage.hpp>`

Inheritance diagram for cv::WImageViewC< T, C >:

## Public Types
enum | { kChannels = C }
typedef WImage< T >::BaseType | BaseType
Public Types inherited from cv::WImageC< T, C >
enum | { kChannels = C }
typedef WImage< T >::BaseType | BaseType
Public Types inherited from cv::WImage< T >
typedef T | BaseType

## Public Member Functions
WImageViewC & | operator= (const WImageC< T, C > &img)
WImageViewC & | operator= (const WImageViewC< T, C > &img)
| WImageViewC ()
| WImageViewC (WImageC< T, C > *img, int c, int r, int width, int height)
| WImageViewC (T *data, int width, int height, int width_step=-1)
| WImageViewC (IplImage *img)
| WImageViewC (const WImageC< T, C > &img)
| WImageViewC (const WImageViewC< T, C > &img)
virtual | ~WImageViewC ()
Public Member Functions inherited from cv::WImageC< T, C >
int | Channels () const
void | CopyFrom (const WImageC< T, C > &src)
WImageViewC< T, C > | View (int c, int r, int width, int height)
| WImageC (IplImage *img)
virtual | ~WImageC ()=0
Public Member Functions inherited from cv::WImage< T >
int | Channels () const
int | ChannelSize () const
void | CopyFrom (const WImage< T > &src)
int | Depth () const
int | Height () const
T * | ImageData ()
const T * | ImageData () const
IplImage * | Ipl ()
const IplImage * | Ipl () const
T * | operator() (int c, int r)
const T * | operator() (int c, int r) const
int | PixelSize () const
const T * | Row (int r) const
T * | Row (int r)
void | SetZero ()
WImageView< T > | View (int c, int r, int width, int height)
int | Width () const
int | WidthStep () const
virtual | ~WImage ()=0

## Protected Attributes
IplImage | header_

## Additional Inherited Members
Protected Member Functions inherited from cv::WImageC< T, C >
void | operator= (const WImageC &)
void | SetIpl (IplImage *image)
| WImageC (const WImageC &)

## Member Typedef Documentation

template<typename T, int C>

typedef WImage<T>::BaseType cv::WImageViewC< T, C >::BaseType

## Member Enumeration Documentation

template<typename T, int C>

anonymous enum

Enumerator:

  kChannels |

## Constructor & Destructor Documentation

template<typename T , int C>

WImageViewC< T, C >::WImageViewC | ( |  | ) |

template<typename T, int C>

virtual cv::WImageViewC< T, C >::~WImageViewC | ( |  | ) |
| inline virtual

template<typename T , int C>

WImageViewC< T, C >::WImageViewC | ( | WImageC< T, C > * | img,
|  | int | c,
|  | int | r,
|  | int | width,
|  | int | height
| ) |  |

template<typename T , int C>

WImageViewC< T, C >::WImageViewC | ( | T * | data,
|  | int | width,
|  | int | height,
|  | int | width_step = `-1`
| ) |  |

template<typename T, int C>

cv::WImageViewC< T, C >::WImageViewC | ( | IplImage * | img | ) |
| inline

template<typename T, int C>

cv::WImageViewC< T, C >::WImageViewC | ( | const WImageC< T, C > & | img | ) |
| inline

template<typename T, int C>

cv::WImageViewC< T, C >::WImageViewC | ( | const WImageViewC< T, C > & | img | ) |
| inline

## Member Function Documentation

template<typename T, int C>

WImageViewC& cv::WImageViewC< T, C >::operator= | ( | const WImageC< T, C > & | img | ) |
| inline

template<typename T, int C>

WImageViewC& cv::WImageViewC< T, C >::operator= | ( | const WImageViewC< T, C > & | img | ) |
| inline

## Member Data Documentation

template<typename T, int C>

IplImage cv::WImageViewC< T, C >::header_
| protected

The documentation for this class was generated from the following file:

- /usr/obj/OpenCV-2.2.0/OpenCV-2.2.0/modules/core/include/opencv2/core/wimage.hpp